Trf_FlushTransformation(3)

NAME
Trf_FlushTransformation - Interface to procedures used to flush buffered characters.

SYNOPSIS
#include <transform.h>

int Trf_FlushTransformation
(
    Trf_ControlBlock ctrlBlock,
    Tcl_Interp *interp,
    ClientData clientData
);

PARAMETERS

Trf_ControlBlock ctrlBlock
    State of encoder/decoder.

Tcl_Interp *interp
    Interpreter for error messages (NULL posssible).

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
An encoder/decoder is allowed to buffer characters internally. A procedure of this type is called just before destruction to invoke special processing of such characters. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)